Referral API Application Management lets you:
- Create an application.
- Retrieve the list of spousal notification states
- All calls to the endpoint must have a valid JWT Token.
The Referral API can use encrypted or unencrypted social security numbers, the communication is already encrypted via https so this will be solely based on your requirements. This choice was made during your account setup. Should you need a change, please contact your RAI Client Success representative.
If an application was already in flight with the email provided, the second application will be rejected. The list of product_id associated with your account was provided by your RAI Client Success representative. Based on your configuration, the social security number can be either provided in clear through https or encrypted with a key provided by your RAI Client Success representative. For states requiring spousal notification, the spouse information must be provided.
API Call Example:
- Productionhttps://api.raipartners.com/referral/application/{product-id}
- Sandboxhttps://sandbox.raipartners.com/referral/application/{product-id}
curl -i -X POST \
'https://api.raipartners.com/referral/application/{product-id}' \
-H 'API-Version: 2.0.0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"applicant": {
"identity": {
"name": {
"first": "John",
"last": "Smith",
"middle": "James"
},
"birthDate": "2000-01-31",
"socialSecurityNumber": 123456789
},
"email": "myemail@email.com",
"phoneNumber": "1234567890",
"address": {
"line1": "1 Main St",
"line2": "Apt 35",
"city": "Dallas",
"state": "TX",
"zipCode": "75000"
},
"income": {
"annualIncome": 30000,
"source": "Employment"
},
"expenses": {
"monthlyHousing": 1000
},
"maritalStatus": "NotMarried",
"creditInformation": {
"score": 700,
"bureau": "TransUnion",
"inquiryType": "Soft",
"notes": "BadAddressWarning=N, BankcardAccountsRevolvingBalance=003, BkTu=652, CurrentBalanceAmount=000018179, CreditCardUtilization=037, ..."
},
"identification": {
"type": "DriverLicense",
"countryCode": "USA",
"state": "TX",
"number": "012345678",
"issuedDate": "2020-01-01",
"expirationDate": "2030-01-01"
}
},
"spouse": {
"name": {
"first": "John",
"last": "Smith",
"middle": "James"
},
"email": "myemail@email.com",
"address": {
"line1": "1 Main St",
"line2": "Apt 35",
"city": "Dallas",
"state": "TX",
"zipCode": "75000"
}
},
"consents": {
"contact": {
"allowEmailContact": true,
"allowPhoneContact": true,
"allowSmsContact": true
},
"shareDataWithFI": true,
"softPull": true
},
"referrer": {
"channel": "Branch",
"branchId": "AXJR01",
"officeId": "OFF12",
"employeeId": "EMP123"
},
"metadata": {
"membershipType": "NonMember"
},
"marketingCampaign": {
"identifier": "MKT123",
"startDate": "2023-01-01",
"endDate": "2023-12-31"
},
"advertisedTerms": {
"apr": 19.99,
"creditLimit": 15000
},
"product": "Visa Signature",
"militaryLendingAct": false
}'API Call Response: This endpoint returns a 204 status upon success (no content is returned)
{ "id": "2bb04ce6-daeb-422b-b8fd-686aa09e2c88", "url": "https://apply.groundworkcard.com/app/wizard/2bb04ce6-daeb-422b-b8fd-686aa09e2c88", "status": "Pending" }
Some states require spousal notifications, this call will return the list of states requiring spousal notifications.
API Call Example:
- Productionhttps://api.raipartners.com/referral/spousal-notification-states
- Sandboxhttps://sandbox.raipartners.com/referral/spousal-notification-states
curl -i -X GET \
https://api.raipartners.com/referral/spousal-notification-states \
-H 'API-Version: 2.0.0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'API Call Response: This endpoint returns a 204 status upon success (no content is returned)
[ "WI" ]